%define lib_major 9
%define lib_name %mklibname %{name} %{lib_major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %name

%define api 0.0

Name: vte
# fwang: we have vte3 for gtk3 flavour now
Version: 0.28.2
Release: %mkrel 4
Summary: A terminal emulator widget
License: LGPLv2+
Group: System/Libraries
Source0: https://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:	vte-0.25.90-alt_meta.patch
Patch1: vte-0.28.0-link.patch
Patch2: vte-0.28.2-scale.patch
Patch3:	vte-0.28.2-limit-arguments.patch
BuildRequires: pkgconfig(cairo-xlib)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.20.0
BuildRequires: pkgconfig(pango) >= 1.22.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(ncurses)
BuildRequires: gtk-doc
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
URL: http://www.gnome.org/

%description
VTE is a terminal emulator widget for use with GTK+ 2.0.

%package -n python-%{name}
Summary: Python binding for VTE
Group: Development/Python
Requires: %{name} >= %{version}

%description -n  python-%{name}
Python binding for VTE, a terminal emulator widget for use 
with GTK+ 2.0.

%package -n %{lib_name}
Summary: A terminal emulator widget
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{lib_name}
VTE is a terminal emulator widget for use with GTK+ 2.0. 

%package -n %develname
Summary: Files needed for developing applications which use VTE
Group: Development/Libraries
Provides:  lib%{name}-devel = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{lib_name} = %{version}-%release
Obsoletes: %mklibname -d %name 9

%description -n %develname
VTE is a terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-shared --disable-static --libexecdir=%{_libexecdir}/%{name} --enable-python --enable-gtk-doc --enable-introspection --with-gtk=2.0
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-%{api}

%files -f %{name}-%api.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte
%dir %{_libexecdir}/%{name}
%attr(2711,root,utmp) %{_libexecdir}/%{name}/gnome-pty-helper
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/termcap-%{api}

%files -n %{lib_name}
%{_libdir}/libvte.so.%{lib_major}*
%_libdir/girepository-1.0/Vte-0.0.typelib

%files -n %develname
%doc %{_datadir}/gtk-doc/html/vte-%{api}
%{_includedir}/vte-%{api}
%{_libdir}/libvte.so
%{_libdir}/pkgconfig/vte.pc
%{_libdir}/pkgconfig/pyvte.pc
%_datadir/pygtk/2.0/defs/vte.defs
%_datadir/gir-1.0/Vte-0.0.gir

%files -n python-%{name}
%py_platsitedir/gtk-2.0/vtemodule.so


%changelog
* Fri Feb 03 2017 adrianomorselli <adrianomorselli> 0.28.2-4uplos2017
- rebuild

* Wed Sep 21 2015 bb <bb> 0.28.2-4pclos2016
- update

